Class | Chef::Cookbook::CookbookVersionLoader
In: | lib/chef/cookbook/cookbook_version_loader.rb
Parent: | Object

### Methods

apply_json_metadata apply_ruby_metadata chefignore cookbook_version empty? load_as load_cookbooks load_recursively_as load_root_files merge! metadata new remove_ignored_files

### Constants

FILETYPES_SUBJECT_TO_IGNORE | = | [ :attribute_filenames, :definition_filenames, :recipe_filenames, :template_filenames, :file_filenames, :library_filenames, :resource_filenames, :provider_filenames]

### Attributes

cookbook_name | [R] |
cookbook_settings | [R] |
metadata_filenames | [R] |

### Public Class methods

new(path, chefignore=nil)

### Public Instance methods

apply_json_metadata(file)
apply_ruby_metadata(file)
chefignore()
cookbook_version()
empty?()
load_as(category, *path_glob)
load_cookbooks()
load_recursively_as(category, category_dir, glob)
load_root_files()
merge!(other_cookbook_loader)
metadata(cookbook_version)

Generates the Cookbook::Metadata object

remove_ignored_files()

[Validate]